Subject: Re: bug#1305: All code that currently beeps should use visual bellinstead

From: Sven Joachim <[email-masked]>
Date: Mon, 17 Nov 2008 09:01:16 +0100

On 2008-11-17 08:37 +0100, Jason Spiro wrote:

> 2008/11/17 Tim Connors <[email-masked]> wrote:
>> [...]
>> [...] I've lost count of the number of times I've
>> gone more than once around a buffer doing an isearch, because I failed to
>> hear the non-existant beep telling me I had already gone around once.  A
>> simple visual notification in the status area is not enough, because
>> almost by definition the entire screen is changing every isearch anyway,
>> so a few extra words saying "failing i-search" doesn't get noticed.
>
> Firefox's incremental search feature does it much better than Emacs.
> When an incremental search is failing, it doesn't just add the word
> "Failing" onscreen.  It also changes the search text entry field to
> have a bright red background.  This attracts the eye to see that the
> search is failing.  Should I file a bug to request that Emacs do the
> same?

Emacs does it another way, one that in my opinion is even better: it
highlights just the part of the search that failed.  This is quite
convenient if you have already typed several extra characters before
noticing the search failure.

Note that this is not available in Emacs 22, but has been in the trunk
for about a year.

Sven